Ceph - Bug #8886

Miss some folders in PG's folder
07/20/2014 08:48 PM - Jingjing Zhao

Status: Closed % Done: 0%
Category: OSD

Target version:
Description

When put objects to a cluster, | checked the contents of directory /var/lib/ceph/osd/current/pg.xxx and found a problem.

For example, if the PG root folder is '27.a2s7_head', it has first sub folder 'DIR_2' and then 'DIR_A'". At third level, it has DIR_0,
DIR_2, DIR_4, DIR_6, DIR_8, DIR_A, DIR_C, DIR_E, and all these having 16 sub folders. But in the DIR_O, it not only has 16 sub
folders, but a object default.4281.322\u\ushadow\u.Ndfi3nAmRHjph\uXyzjJQutltgGi1Dkd\u1__head_ 17F630A2__1b_ffffifffffffffff_7. |
think they should not exist in same level.

From the object's name, it should be stored in the DIR_3 at third level, while there doesn't have. Don't know the reason of missing

folders.

History

#1 - 07/29/2014 01:43 PM - Samuel Just

Can you add a find . on that pg directory? Also, does this happen reliably? Also, on what version did you reproduce this?

#2 - 07/29/2014 07:52 PM - Jingjing Zhao

Hi, Samuel,

First, | correct my word " it should be stored in the DIR_3 at third level", actually it miss the DIR_3 at fourth level, under the DIR_0. Sorry for it.

Then, here is the directory structure. The ceph version is 0.80.3. This problem occurs occasionally.

pwd /home/y/var/lib/ceph/osd/ceph-10/current/27.a2s7_head/DIR_2/DIR_A/DIR_O

./DIR_O

./DIR_0/default.
./DIR_0/default.
./DIR_0/default.

fE£Ef 7

./DIR_0/default.

fffff 7

./DIR_0/default.

fEff 7

./DIR_0/default.

fE£Ef 7

./DIR_0/default.

7
./DIR_1

./DIR_1/default.

fffff 7

./DIR_1/default.

fEfff 7

./DIR_1/default.

fff 7

04/05/2024

4281.

4281.

4281.

4281.

4281.

4281.

4281.

4281.

4281.

4281.

185\u\ushadow\u.Y2z2GVS0cYGlaWmWU6rWky4R9uI2abDa\ul__head_7B9200A2__1b_ ffffffffffffffff 7
247\u\ushadow\u.Air2MbwlpgqdtLyk5entuGrfQVgAYiM\ul__head_FD3DO00A2__1b_ffffffffffffffff 7
24\uosdl9l.ceph.bfl.com\uaff8e£f510881146958903091008b718f__head_ _7DBO00A2__ 1b_ffffffffffff
275\uosdl191.ceph.bfl.com\u57ba83a3217afdb96131ab4422cb7ece__head 39F000A2__1b_fffffffffff
335\uosd24.ceph.bfl.com\u0f195c64234b1094£95917122d492215__head_972D00A2__1b_ffffffffffff

538\uosd24.ceph.bfl.com\u08930cf5e783d6854e2af196d376097d__head FB3F00A2__1b_ffffffffffff

148\u\ushadow\u.TX7CT\ul4JkxSowtYQRrd6wl21\ugGODY\ul__head_9A0100A2__ 1b_ffffffffffffffff

259\uosdl9l.ceph.bfl.com\u09941d5d5dd0f1bd6673clcdaa’26588e__head F83B1l0A2__ 1b_ fffffffffff
349\uosdl9l.ceph.bfl.com\uf8fc0c9d521a26e1d7¢c90841596c3eeb6__head_BEBAL10A2__ 1b_ fffffffffff

3\uosdl9l.ceph.bfl.com\u3c97780e0959f3910118afecbl3aleelc__head_734310A2__ 1b_fffffffffffff
./DIR_1/default.

fEf££_ 7

./DIR_1/default.

fffff 7

./DIR_1/default.

fEEE_7

./DIR_1/default.

fEf££_ 7

./DIR_1/default.

ffff 7

./DIR_1/default.
./DIR_1/default.

ffff 7

./DIR_1/default.

./DIR_2

./DIR_2/default.
./DIR_2/default.
./DIR_2/default.
./DIR_2/default.

fEf££_ 7

./DIR_2/default.

fff_ 7

./DIR_2/default.
./DIR_2/default.

ffff 7

./DIR_2/default.
./DIR_2/default.
./DIR_2/default.
./DIR_2/default.
./DIR_2/default.

fffff 7

./DIR_2/default.
./DIR_2/default.

ffff 7

./DIR_2/default.
./DIR_2/default.
./DIR_2/default.

ffff_7
./DIR_4

./DIR_4/default.

fEE£E 7

./DIR_4/default.
./DIR_4/default.

fEE£E 7

./DIR_4/default.

ffff 7

./DIR_4/default.

fEEE_7

./DIR_4/default.

fEf££_ 7

./DIR_4/default.
./DIR_4/default.

fEf££_ 7
./DIR_5

./DIR_5/default.

fEf££_ 7

./DIR_5/default.
./DIR_5/default.
./DIR_5/default.

fEEFE 7

./DIR_5/default.

fEf££_ 7

./DIR_5/default.

£f£f_ 7

./DIR_5/default.

fEEE_7

./DIR_5/default.

fEf££_ 7

./DIR_5/default.
./DIR_5/default.

fEf££_ 7

./DIR_5/default.
./DIR_5/default.

./DIR_6

./DIR_6/default.
4281

4281.

4281.

4281.

4281.

4281

4281.

4281.

4281

4281.

4281.
4281.

4281

4281.
4281.

4281

4281.

4281.
4281.

4281.

4281.

4281.

4281.

4281.

4281.

4281.

4281.

4281.

4281.

4281.

4281.

4281.

4281

4281.
4281.

4281.

.95\uosdl91l.ceph.bfl.com\u718fe20f8£783cbf82fcf05f5fe3827a__head_E03110A2__ 1b_ffffffffffff

314\uosdl9l.ceph.bfl.com\u07877a147c0c9995a545db06ef261e55__head F25A10A2__ 1b_fffffffffff
546\uosd24.ceph.bfl.com\u9112bc9492e8561937£39e35eeed3bl4d__head_291910A2_ 1b_ffffffffffff
174\uosd24.ceph.bfl.com\ud9869ad9c54c78ecb053068e7e13d39%b__head_ESE910A2_ 1b_ ffffffffffff

437\uosd24.ceph.bfl.com\ue2ca8c294f64a33da20c5£878e2cedl4__head_F6CF10A2__ 1b_ ffffffffffff

.471\u\ushadow\u. IpctJDHpuSoenetAna2lBeK5jp\uBWoc\ul__head_7B2210A2__ 1b_ffffffffffffffff 7
4281.

140\uosd24.ceph.bfl.com\u67cfa342£f0038a90d60e842740efd5ab__head_38F910A2__ 1b_ffffffffffff
526\u\ushadow\u.gqlNJ7NCZD0Uo6LfLrPaRlIpWiaJdZzdWU\ul__head_B1D910A2__1b_ffffffffffffffff 7

47\u\ushadow\u.da2\ucOt5ymSCN1elxXGb6jC60tQFysS\ul__head_ 9F1D20A2__ 1b_ffffffffffffffff_7

.506\u\ushadow\u. 7kYtvMtCeGhoIoTwA6dt zuFP£9JTM82\ul__head_2A2220A2__ 1b_ ffffffffffffffff 7
4281.
4281.

506\ul\ushadow\u.iGu45nkNnMKOE jkb0zYvx2dcrwhaXyP\ul__head F45E20A2__ 1b_ffffffffffffffff 7
25\uo0sdl91.ceph.bfl.com\ua24dddaa339cc3543bf27fd40e5d392a__head_378E20A2__ 1b_ffffffffffff

5\uosdl9l.ceph.bfl.com\u080b8a8522938ab5760a7db0234cbe64___head_3CD220A2__ 1b_fffffffffffff

196\u\ushadow\u.byV47MXMpRNmbgXG\uGKJkiAdHoZvLBk\ul__head_3BFD20A2__ 1b_ffffffffffffffff_7
134\uosd24.ceph.bfl.com\u3clca978£c3090639b36cTef6dcd4e86a__head 2COB20A2__ 1b_ffffffffffff

.92\u\ushadow\u.0Bbz09cI1IEOlk7ejVZ8KloltgdeTdg\u2__head 7AA420A2_ 1b_ ffffffffffffffff 7
4281.
4281.
4281.
4281.

528\ul\ushadow\u.y8zxY8knl6ndpQOIujxdN72IzFzql05\ul__head_ _325E20A2__ 1b_ffffffffffffffff 7
397\u\ushadow\u.YbV5YbVKVLzwG1Mvs48Yn99Z2gTV2KTX\ul__head_85A820A2__ 1b_ffffffffffffffff_7
465\u\ushadow\u.20ZKzN-ssQX3-xanBu3kIyay39V5gwz\ul__head_4C0320A2__ 1b_ffffffffffffffff_7
600\uosdl96.ceph.bfl.com\u0f931e07£8242dlaeabdd5£0273c3c6d__head_028C20A2__ 1b_fffffffffff

325\ul\ushadow\u.VYQvVRcrRsa9nbESI4VsMlWytlouS-M2\ul__head_9D6B20A2__ 1b_ffffffffffffffff_7
565\uosd24.ceph.bfl.com\u7ead7fb8ad23c2ef41872£99638287ba__head_729420A2__ 1b_ffffffffffff

.76\u\ushadow\u.B7D6JjJQtkW-HTFVmk4auRYJcV\ub9zE\ul__head_121320A2__ 1b_ffffffffffffffff 7
4281.
4281.

205\u\ushadow\u.u4GkGIEWo8rpU3XBv7/EWScElyaleU9F\u2__head_32C920A2__ 1b_ffffffffffffffff 7
233\uosd24.ceph.bfl.com\u0e5709e4504e720305db3003714e7aef__head_056020A2__ 1b_ffffffffffff
194\uosdl91l.ceph.bfl.com\uld84d296156baf9alef6l5b77aad57a5__head_722840A2__ 1b_fffffffffff

267\u\ushadow\u.s9IuJRsURpgwDpyO0xw8U\ux-EQ6GduEg\u2__head_8EB040A2__ 1b_ffffffffffffffff 7
300\uosdl91l.ceph.bfl.com\u947bf85bb7705328eca8adel20b7246fd__head_670440A2__ 1b_fffffffffff

65\uosdl91.ceph.bfl.com\udd287e8b50e4dd620d967c0£fd12d81le9__head_7C6440A2__ 1b_ffffffffffff
376\uosd24.ceph.bfl.com\u8d2318df708cdd2275930412814b2e04__head_857A40A2__ 1b_ffffffffffff
518\uosd24.ceph.bfl.com\ud425ae357a5b307fa48debd3febb547b__head_412140A2__ 1b_ffffffffffff
176\u\ushadow\u.IcKhBjNOkleOfvmBHxo0ybYHMOsU-IF\ul__head_BC1140A2__ 1b_ ffffffffffffffff 7

286\uosd24.ceph.bfl.com\ueec2fd2780caldff3f0£f98a55f27db64__head_9BB940A2__ 1b_ffffffffffff
75\uosdl91.ceph.bfl.com\u00a52alc4f879ac02001fabca600ed8b__head_9EC250A2__ 1b_ffffffffffff
232\ul\ushadow\u.GlHhcD2ZsmaSU-V95e0FXDmJvcNw265\ul__head_E05350A2_ 1b_ffffffffffffffff_ 7

270\u\ushadow\u.\uL4ueypLs-ylfiNojv8—-RbNDRP5kXeV\ul__head_A29550A2__1b_ffffffffffffffff 7
458\u0sdl9l.ceph.bfl.com\u64e010923d7160££4£13d135bc88a888__head_464050A2__ 1b_fffffffffff
409\uosd24.ceph.bfl.com\ua231373¢c11f0e14b20a4d2f£d9000b5d__head_15F750A2__ 1b_ffffffffffff
1\uosd24.ceph.bfl.com\u69851d7d5d52£37200£534a01£63c867__head_F37C50A2__ 1b_ffffffffffffff

300\uosd24.ceph.bfl.com\u3a9cafaed6b205ac52b2de97ac7bcl3e7__head_Al1C50A2__ 1b_ffffffffffff

542\uosd24.ceph.bfl.com\ue0744a69a2957382a652760e083c2065__head_EB2A50A2__ 1b_ffffffffffff

.424\u\ushadow\u.i2DOANNDLHgiBBLVEZIgB1zTM\uxoSC-\ul__head_OFE950A2__ 1b_ffffffffffffffff_ 7
4281.

248\uosd24.ceph.bfl.com\u6£fa008845fb882200b185b0b7d3b7162__head 06E250A2__ 1b_ffffffffffff

420\u\ushadow\u. jCZPnEFBCLSv6upF1TYmYNOFVm78ChF\ul__head_29E050A2__ 1b_ffffffffffffffff_7
44\u\ushadow\u.wl3CiorzjQwJylYmZdd-KLCXA0KRMYp\u2__head_D37B50A2__ 1b_ffffffffffffffff_ 7

274\u\ushadow\u.QXCTF392zA84bjxx INvOXdHyS2J1\u6ixX\ul__head_3EF660A2_ 1b_ffffffffffffffff_7
./DIR_6/default.
./DIR_6/default.

fEEE_7

./DIR_6/default.

fEf££_ 7

./DIR_6/default.
./DIR_6/default.
./DIR_6/default.

fEEE_7

./DIR_6/default.

ffff_7
./DIR_7

./DIR_7/default.
./DIR_7/default.
./DIR_7/default.

fffff 7

./DIR_7/default.

fEEFE 7

./DIR_7/default.

fEE£E 7

./DIR_7/default.

ffff 7

./DIR_7/default.
./DIR_7/default.

./DIR_8

./DIR_8/default.

fEEFE 7

./DIR_8/default.

fEE£E 7

./DIR_8/default.

fffff 7

./DIR_8/default.
./DIR_8/default.
./DIR_8/default.

fEf££_ 7

./DIR_8/default.

fffff 7

./DIR_8/default.

fEEE_7

./DIR_8/default.

fEf££_ 7

./DIR_8/default.
./DIR_8/default.

fEf££_ 7
./DIR_9

./DIR_9/default.
./DIR_9/default.
./DIR_9/default.

fffff 7

./DIR_9/default.

./DIR_A

./DIR_A/default.
./DIR_A/default.

fEEE_7

./DIR_A/default.

fEf££_ 7

./DIR_A/default.
./DIR_A/default.

fEf££_ 7

./DIR_A/default.
./DIR_A/default.

ffff_7
./DIR_B

./DIR_B/default.

fEE£E 7

./DIR_B/default.

ffff 7

./DIR_B/default.

fEEFE 7

./DIR_B/default.
./DIR_B/default.

7

./DIR_B/default.

fEf££_ 7

./DIR_B/default.
4281

4281.

4281

4281

4281.

4281.
4281.
4281.

4281

4281.

4281.

4281.
4281.

4281

4281.
4281.
4281.
4281.
4281.
4281.
4281.
4281.
4281.

4281.

4281.
4281.
4281.

4281.

4281.
.13\uosdl91l.ceph.bfl.com\u2bellld29d£f38047256565a272ccl1039__head 06F9A0A2_ 1b_ffffffffffff

4281

4281.

4281.
4281.

4281.
4281.
4281.
4281.
4281.

4281.
.127\u\ushadow\u.1J\uOcMHGHYnAsdzv\uV4zJxXtGHJepjB\ul__head_72CBB0A2__lb_ffffffffffffffff

4281

4281.

4281.

.429\u\ushadow\u.IcjjgriudqvVIB60EzRzmxVtFE88\uCSh\ul__head_8F2F60A2__1b_ ffffffffffffffff 7
4281.

376\uosd24.ceph.bfl.com\u9c4b836ed53645183773ab6944a4blle_ _head 80BEGOA2_ 1b_ ffffffffffff

171\uosd24.ceph.bfl.com\uafl07308264155a5b60fc66b0a394445__head_65DA60A2__ 1b_ ffffffffffff

.201\u\ushadow\u.F96-bcB8pLd6kPAQTDIP3glnEEaS1YF\ul__head_075360A2__ 1b_ffffffffffffffff 7
4281.
.271\uosd24.ceph.bfl.com\ude8c0bd8a426c592dc977482db9%eb7ea__head_13BB60A2__ 1b_ffffffffffff

54\u\ushadow\u.brNJ50\ubA6ivOt3E1Whtb5w9ZBTDarv\ul__head_ 214A60A2_ 1lb_ffffffffffffffff 7

345\uosd24.ceph.bfl.com\ua3ld7dd71a%ae93adc58c2e979caf7c7__head_BF5760A2__ 1b_ffffffffffff

117\u\ushadow\u.IfvYCwraUlduL3P2603zcld5bWIvupG\ul__head_OB7D70A2__ 1b_ffffffffffffffff_7
179\u\ushadow\u.wOTnQtDgJEaHgkeYIFch94PTDSajjalL\ul__head_215370A2__ 1b_ffffffffffffffff_ 7
234\uosdl9l.ceph.bfl.com\ul23ladab6£93a2ffe33135529499bf3c__head_5CAFT70A2__ 1b_fffffffffff

.491\uosdl91.ceph.bfl.com\u5147991bc605b4bb456£2525c50024£6__head TEF870A2__ 1b_ fffffffffff

511\uosdl9l.ceph.bfl.com\uddl2f43efb343a17302e53263e339d10__head_2C2B70A2__ _1b_fffffffffff
232\uosd24.ceph.bfl.com\u0f290bcafeb37£f8424adc0217e4138ed__head_5ED070A2__ 1b_ffffffffffff

528\ul\ushadow\u.iYwbX4sWPHgEAG5ugK-cWEehCNzCm4u\ul__head_1AC670A2__ 1b_ffffffffffffffff 7
547\u\ushadow\u.RDa7jk4BSfHy2sWknWeMvKT8rcVhgc\u\ul__head_B46670A2_ 1b_ffffffffffffffff 7

.275\uosd191.ceph.bfl.com\ua6044569e5406c5a109£48278605347f__head_49F780A2__ 1b_ fffffffffff

565\uosdl91l.ceph.bfl.com\ud976a72d0c588026f7ef5f3b2afae52a__head_3BE080A2__ 1b_fffffffffff
572\uosdl9l.ceph.bfl.com\udb7ecaada34e9d098162a9b9f0£28d4f___head_062980A2__ 1b_fffffffffff
331\u\ushadow\u.YLThITOjYxgxgKBPMOkR2bcPpW8p—ak\u2__head_BE4780A2__1b_ffffffffffffffff 7

388\u\ushadow\u.adts0eK26nkzropbw\uoKmzKVBdCdt71\ul__head_205B80A2__ 1b_ffffffffffffffff 7
85\u0sd196.ceph.bfl.com\u52a05242202a5538e5633b5856163529__head_8ABD80A2__ 1b_ffffffffffff
451\uosdl96.ceph.bfl.com\u961e2d0b0e2e0bea79b94b999%ba51lle_ head_4B0580A2__ 1b_fffffffffff
485\uosd24.ceph.bfl.com\u546d1£245a6a6e2897c97227722540d8__head_6EF280A2__1b_ffffffffffff
316\uosd24.ceph.bfl.com\u558885a739%ecf22f19dac717b379c8cc__head_D86880A2__ 1b_ffffffffffff
7\u\ushadow\u.n90LL9xLTyUsMT\uvwje-GSCFi\u-mPsj\ul__head_445380A2__ 1b_ffffffffffffffff 7

586\uosd24.ceph.bfl.com\u61e88252abf9f4e257ddb1fa80970bb2__head_C91C80A2__ 1b_ffffffffffff

368\ul\ushadow\u.wwoha7vJQ0£f84cT-ZKfIgvIYDmQEmna\ul__head_DA9690A2__ 1b_ffffffffffffffff_7
429\u\ushadow\u.54xp8H3tYMkrb9fDmlshazjr6ZSBZPE\ul__head C3CE90A2__ 1b_ffffffffffffffff_7
359\uosdl9l.ceph.bfl.com\u75d78ad0fde537d1db501780bfdeedc2__head_9B1B90A2__ 1b_fffffffffff
68\u\ushadow\u.fZsvINbDwgfM8EgwWilnUgx\usn\uTBJp\ul__head_ 95FE90A2__ 1b_ffffffffffffffff 7

113\u\ushadow\u.1ldv05fFk3gMFZsTVUhtgd5jwOVtQpI4\ul__head 2FFOAOA2_ 1b_ ffffffffffffffff 7

41\uosdl91.ceph.bfl.com\ubf7442blbc6b4106069dd22a330fa766__head_5371A0A2__ 1b_ffffffffffff

167\u\ushadow\u.US557CcxkgMsx18uK06iplVetsV1iEmd\ul__head_7780A0A2__1b_ ffffffffffffffff 7
443\uosd24.ceph.bfl.com\ud0394abb42a29af6a733dd0181d8a40e__head_2EE4AQ0A2__ 1b_ffffffffffff

18\u\ushadow\u.\utxkd4vl-VafwhrGOFw3KX6geQGpXaIC\ul__head_2CF5A0A2__ 1b_ffffffffffffffff 7

209\uosd24.ceph.bfl.com\ufec4e92f9d1ca2a9777928d023a34clf__head_7DOFAOA2__ 1b_ffffffffffff
349\uosdl91l.ceph.bfl.com\u211£f80cc81105a441226f580a7%9a6e3c__head_D570B0A2__ 1b_fffffffffff
34\uosdl91.ceph.bfl.com\ucbdbldeb9f58e36af780db474d6138ab__head_9B47BOA2__ 1b_ffffffffffff
137\uosdl91.ceph.bfl.com\u8d8c99e116e2108d55d654051da31984__head_7565B0A2__ 1b_fffffffffff

397\u\ushadow\u.pNyctFh7baYaz4oU3u9e6EH4\uWoOqlU\ul__head_D491B0A2__ 1b_ffffffffffffffff_ 7

529\uosd24.ceph.bfl.com\u830e52b25fd7ecdal06acObed2f0beal3__head_A592BO0A2__ 1b_ffffffffffff

395\uosd24.ceph.bfl.com\u08219000b91d1a4£f0b915987¢c33472cl__head_5415B0A2__ 1b_ffffffffffff
ffff_7
./DIR_D

./DIR_D/default.
./DIR_D/default.

fEE£E 7

./DIR_D/default.

fffff 7

./DIR_D/default.

fEEFE 7

./DIR_D/default.

fEf££_ 7

./DIR_D/default.

fffff 7

./DIR_D/default.

fEEFE 7

./DIR_D/default.

fEf££_ 7

./DIR_D/default.
./DIR_D/default.
./DIR_D/default.

./DIR_E

./DIR_E/default.

fEE£E 7

./DIR_E/default.
./DIR_E/default.
./DIR_E/default.

fEEE_7

./DIR_E/default.

fEf££_ 7

./DIR_E/default.

ffff 7

./DIR_E/default.

fEEE_7

./DIR_E/default.

7

./DIR_E/default.

./DIR_F

./DIR_F/default.

7

./DIR_F/default.

fEE£E 7

./DIR_F/default.
./DIR_F/default.

fEE£E 7

./DIR_F/default.

7

./DIR_F/default.

fEEFE 7

./DIR_F/default.
./DIR_F/default.

FEEF_7
./default.
./default.
./default.
./default.
./default.
./default.

4281.
4281.
4281.
4281.
4281.
4281.

./default.
./default.
./default.
./default.
./default.
./default.
./default.
./default.
./default.
./default.

4281.
4281.
4281.
4281.
4281.
4281.
4281.
4281.
4281.
4281.
4281

4281

4281.
4281.

4281.
4281.
4281.
4281.
4281.
4281.
4281.
4281.
4281.
4281.
4281.
.97\uosdl91.ceph.
4281.
4281.
4281.
4281.
4281.
4281.

4281.

4281.
4281.

4281.
4281.

4281.
4281.

180\u\ushadow\u.BBKbgK8VxH4H4BsJxRK\uaRPGx19YBuw\ul__head_2993D0A2__ 1b_ffffffffffffffff_7
265\uosdl91l.ceph.bfl.com\u59cad56fdedf817f9bf3e5c30947¢c125__head_CC73D0A2__ 1b_fffffffffff

.335\u0sdl91.ceph.bfl.com\u64a928c6d54e7c63bdbf6al5a70dadd3__head 8ADBDOA2__ 1b_fffffffffff

445\u0sdl9l.ceph.bfl.com\ua6£fc2d2d459751dd90772d286439b8e5__head_BA9BDOA2__ 1b_fffffffffff
65\uosdl191.ceph.bfl.com\u00dedl5alacl2felb9cb865d53695ef4__head_F15BD0A2__ 1b_ ffffffffffff
507\uosdl9l.ceph.bfl.com\u0b3319c831d04dledb5917ee4509d1lbl__head_ _2A9ADOA2__ 1b_fffffffffff
480\uosdl9l.ceph.bfl.com\u5807d75£5c8db398d7bb3911214eed47a__head DATBDOA2__ 1b_fffffffffff
462\uosd24.ceph.bfl.com\u66cf6628505c970655326927a56a92be__head_BD2FDOA2__ 1b_ffffffffffff
504\u\ushadow\u.BLGgm4bDgU7L0rhbtFk\u671hqON3ZWA\ul__head_6514D0A2__ 1b_ffffffffffffffff 7
527\u\ushadow\u.Ayl-GKVIPyrhLYl1TIoWlJBrk5mH8LJda\ul__head_2368D0A2__1lb_ffffffffffffffff_7

109\u\ushadow\u.i9ArzTyQ\ubgmX11kQ3KCgeNh8nhB6Hv\u2__head_86C4D0A2__ 1b_ffffffffffffffff 7

190\uosdl9l.ceph.bfl.com\ucl92b5abf1b918c3796d86955c26566¢c__head_0618E0A2__ 1b_fffffffffff

451\u\ushadow\u.
544\u\ushadow\u.

Z5PnxPfHo3gaQbgEzb5zMJ7UIupiFS—\ul__head_ 181CEOA2__ 1b_ffffffffffffffff 7

WRNaogqwUDktwB\ur2YaIXkU4FPPA62nG\ul__head_6979E0A2__ 1b_ffffffffffffffff_7
bfl.com\u5c8d5£f013cac0029a817a623a84e8741__head A3A9EOA2_ 1b_ffffffffffff
309\uosd24.ceph.bfl.com\ub3a780b76abalel276d6987663f19580__head_ODFAEOA2__ 1b_ffffffffffff
394\uosd24.ceph.bfl.com\ua3d59efdcblf22ae77ec607a9e495f39__head_7398EO0A2__1b_ffffffffffff
505\uosd24.ceph.bfl.com\u8b865457256152f£f23061624fd3b6d3b__head_C5FDEOA2__ 1b_ffffffffffff

461\u\ushadow\u.3mSUQSNzRzBZVvIYS\uBCHBfB\uOiL6Xy\ul__head_9CI1DEOA2__1b_ffffffffffffffff

460\u\ushadow\u.oF21H8oudWTEaSeqrWp4\unPjdbYsr24\ul__head_OBE3EOA2__1b_ffffffffffffffff 7

373\u\ushadow\u.\u55ygzHk 6HMmS4NdzYbyHfKx9wptm\u\u\ul__head_277DFO0A2__1b_ffffffffffffffff
381\uosdl91l.ceph.bfl.com\ucf8509495ed97688467b5513¢c7d10915__head_ASFI9F0A2__ 1b_fffffffffff

468\u\ushadow\u.kFuLg030bfb5AIUUDOUHP3iHRIFSieV\ul__head_43B2F0A2__ 1b_ffffffffffffffff 7
520\uosdl91l.ceph.bfl.com\ufc7d1444461728972e56c62398b15b65__head_BBEAF0A2__ 1b_ fffffffffff

588\ul\ushadow\u.2U0vzMrLGXS\u87whOV0J-8RWPJ\uX8-Pu\ul__head_6106F0A2_ 1b_ffffffffffffffff_
477\uosdl96.ceph.bfl.com\u04b595947db674e6e9dd78684e050c9a__head_3CBDFO0A2__1b_fffffffffff

113\u\ushadow\u.4FJcUb40LnAeNL4glICmQTmWcSxBWP j\ul__head 3F18F0A2_ 1b_ ffffffffffffffff 7
113\uosd24.ceph.bfl.com\ub2e527a482016b8aec04eaec7779300bd6__head 8A2FFO0A2__ lb_ ffffffffffff

322\u\ushadow\u.
474\uosd24.ceph.
396\uosd24.ceph.
37\uosdl96.ceph.
387\u\ushadow\u.

Ndfi3nAmRHIph\uXyzjJQutltgGilDkd\ul__head_17F630A2__ 1b_ffffffffffffffff_7
bfl.com\u6fe8036791e87590dc06fac83ad243e8__head_FEB830A2__ 1b_ ffffffffffffffff 7
bfl.com\ua06db5df8f44cfblb7560d4c5962b1d3___head_23ACCOA2__ l1b_ffffffffffffffff_7
bfl.com\u98aeedfda90417dlab6c67£5f415c96a__head_31AFCOA2__ 1b_ffffffffffffffff_7
X-okdbfwQ\uxU4Xa6ITQ3sn7H6d3-QVp\ul__head_A6B7COA2__ 1b_ffffffffffffffff 7

512\uosdl96.ceph.bfl.com\udfb8c68dade2e0c52ec4f9eblefe9d63___head 68A5COA2_ 1b_ ffffffffffffffff

72\u\ushadow\u.zgsJCp30mhr7X5BBr1RbJOY96uWMU4s\ul__head 9F92CO0A2__ 1b_ ffffffffffffffff 7

489\uosd24.ceph.
153\uosd24.ceph.
259\uosd24.ceph.

bfl.com\u351e31891d8a00673e23747e12fd0417__head_A272CO0A2__ 1b_ffffffffffffffff_7
bfl.com\ueOObccbb32f1ada90226241¢c6290f5ef__head_CA3030A2__ 1b_ffffffffffffffff_7
bfl.com\ufe9a2ebcd4052316c5ead78b6a90d2e9_ _head _B3A530A2_ 1b_ ffffffffffffffff 7

92\u\ushadow\u.3g0UfzozB6gjKCbOHsU8Pay95snyK95\ul__head_AD91COA2__ 1b_ffffffffffffffff_ 7

134\uosd24.ceph.
142\uosd24.ceph.
175\u\ushadow\u.
346\uosd24.ceph.
600\uosd24.ceph.

bfl.com\udec8b772cb756a69a435cf61f3619%efe__head_C13430A2__ 1b_ffffffffffffffff_7
bfl.com\u66910f0c6e0cadc97961ldfaec5a7553e__head_ A20ACOA2__ 1b_ffffffffffffffff 7
oA37bHmruRmAInbrDoPwIrvY3wPMSoR\ul__head_857ECOA2__ 1b_ffffffffffffffff_7

bfl.com\ube5d2d5c66b4681122e3693fae24a86c__head_ A3FFCOA2__ 1b_ffffffffffffffff_7
bfl.com\u8a984a5b0d5£3de56251£d6a89753ffd__head_65E2C0A2__ 1b_ffffffffffffffff 7
#3 - 08/12/2014 01:43 PM - Samuel Just

- Status changed from New to Closed
./default.4281.322\u\ushadow\u.Ndfi3nAmRHjph\uXyzjJQutltgGi1Dkd\u1__head_17F630A2__1b_fffffffffffffff_7

appears to be in the right place, | think. There isn't a DIR_3 yet at that level (I think it won't add one until there are enough files to put there). A spot
check of the others looks right as well (DIR_C doesn't exist yet either). Closing for now, if | missed something, go ahead and reopen :).

#4 - 08/12/2014 06:27 PM - Jingjing Zhao

| see. Thank you for your reply~
